Summary:        Real-mode video BIOS utility to alter hardware state
Name:		vbetool
Version:	1.2.2
Release:	%mkrel 13
License:        GPL
Group:          System/Configuration
URL:            https://www.codon.org.uk/~mjg59/vbetool/
Source0:        https://www.codon.org.uk/~mjg59/vbetool/download/vbetool-%{version}.tar.bz2
Patch0:		vbetool_1.1-lz.patch
Patch1:		vbetool-1.2.2-automake-1.13.patch
BuildRequires:  pkgconfig(libpci) 
BuildRequires:  pkgconfig(pciaccess) 
BuildRequires:  pkgconfig(x86) 
BuildRequires:  pkgconfig(zlib)
ExclusiveArch:  %{ix86} x86_64

%description 
vbetool allows you to run real-mode video BIOS code to alter 
hardware state. It uses lrmi in order to run code from the video BIOS. 
Currently, it is able to alter DPMS states, save/restore video card state
and attempts to initialize the video card from scratch.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
install -m 0644 -D udev-video-post-example.rules $RPM_BUILD_ROOT/%{_udevrulesdir}/92-video-post.rules

%files 
%doc COPYING 
%{_mandir}/man1/vbetool.1*
%{_sbindir}/vbetool
%{_udevrulesdir}/92-video-post.rules


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.2.2-13.mga10
+ Revision: 2213160
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 1.2.2-12.mga9
+ Revision: 1836662
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 pterjan <pterjan> 1.2.2-11.mga8
+ Revision: 1538050
- Drop arm

* Fri Feb 14 2020 umeabot <umeabot> 1.2.2-10.mga8
+ Revision: 1517747
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-9.mga7
+ Revision: 1301567
- Mageia 7 Mass Rebuild

* Fri Jun 17 2016 tv <tv> 1.2.2-8.mga6
+ Revision: 1021894
- package udev rules
- allow build on ARM

* Mon Feb 08 2016 umeabot <umeabot> 1.2.2-7.mga6
+ Revision: 945804
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-6.mga5
+ Revision: 746313
- Second Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 1.2.2-5.mga5
+ Revision: 649733
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 1.2.2-5.mga4
+ Revision: 521692
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1.2.2-4.mga3
+ Revision: 391576
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 385236
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.2.2-2.mga3
+ Revision: 337913
- patch1: fix build with automake 1.13

* Mon Aug 15 2011 tv <tv> 1.2.2-1.mga2
+ Revision: 133377
- BuildRequires zlib-devel
- BuildRequires libpciaccess-devel
- new URL
- new release
- use bzip2 sources

* Thu Jan 20 2011 pterjan <pterjan> 1.1-6.mga1
+ Revision: 25660
- imported package vbetool


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-6mdv2011.0
+ Revision: 608122
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-5mdv2010.1
+ Revision: 524307
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1-4mdv2010.0
+ Revision: 427489
- rebuild

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.1-3mdv2009.1
+ Revision: 366568
- use autoreconf

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.1-2mdv2009.0
+ Revision: 265770
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Pascal Terjan <pterjan@mandriva.org> 1.1-1mdv2009.0
+ Revision: 209227
- Don't link against libz
- Update to 1.1

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-2mdv2008.1
+ Revision: 179675
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Sep 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-1mdv2007.0
- new version
- drop build patch, useless now

* Sat May 06 2006 Pascal Terjan <pterjan@mandriva.org> 0.5-2mdk
- only work on x86_{32,64}

* Wed Nov 30 2005 Couriousous <couriousous@mandriva.org> 0.5-1mdk
- 0.5 ( add x86_64 support )
- Better patch from Carl-Daniel Hailfinger ( found on acpi-devel ML )

* Mon Oct 10 2005 Frederic Lepied <flepied@mandriva.com> 0.2-1mdk
- initial Mandriva Linux package based on Koenraad Heijlen's package

